package com.apiguard3.internal;

import com.bytedance.covode.number.Covode;

public interface log {

    public interface getMethod {
        static {
            Covode.recordClassIndex(2461);
        }

        String AGRequest();
    }

    static {
        Covode.recordClassIndex(2459);
    }

    void getHeaders(APIGuard$Callback aPIGuard$Callback);

    void getUrl(getBody getbody);

    public enum getBody {
        getMethod(-1),
        getHeaders(0),
        getUrl(1),
        getBody(2),
        AGRequest(3),
        addHeader(4),
        method(Integer.MAX_VALUE);
        
        public static char[] AGRequest$Builder;
        public static int get;
        public static long newBuilder;
        public static int post;
        public int level;

        public static void getHeaders() {
            AGRequest$Builder = new char[]{'E', 12423, 25080, 37424, 49926, 62582, 9405, 21906, 34532, 46897, 59408, 6502, 18879, 31386, 43719, 39429, 52090, 14514, 27012, 24308, 36392, 65300, 11366, 7610, 17053, 46048, 58154, 53249, 381, 56214, 60245, 47673, 18928, 6364, 12198, 65400, 9520, 5602, 17557, 46921, 'D', 12432, 25064, 37418, 49939, 'T', 12423, 25067, 37436, 49937, 'L', 12432, 25084, 37434, 49944, 62582, 9395, 21906, 34544};
            newBuilder = -1535349097057799979L;
        }

        public final int getBody() {
            int i = get + 75;
            int i2 = i % 128;
            post = i2;
            int i3 = i % 2;
            int i4 = this.level;
            int i5 = i2 + 19;
            get = i5 % 128;
            int i6 = i5 % 2;
            return i4;
        }

        /* access modifiers changed from: public */
        static {
            int i = post + 87;
            get = i % 128;
            int i2 = i % 2;
        }

        public static getBody AGRequest(int i) {
            int i2 = post;
            int i3 = i2 + 85;
            get = i3 % 128;
            int i4 = i3 % 2;
            if (i == -1) {
                return getMethod;
            }
            if (i == 0) {
                return getHeaders;
            }
            if (i == 1) {
                return getUrl;
            }
            if (i == 2) {
                getBody getbody = getBody;
                int i5 = i2 + 19;
                get = i5 % 128;
                if (i5 % 2 == 0) {
                    return getbody;
                }
                throw new NullPointerException("hashCode");
            } else if (i == 3) {
                return AGRequest;
            } else {
                if (i == 4) {
                    return addHeader;
                }
                getBody getbody2 = method;
                int i6 = i2 + 69;
                get = i6 % 128;
                int i7 = i6 % 2;
                return getbody2;
            }
        }

        /* access modifiers changed from: public */
        getBody(int i) {
            this.level = i;
        }

        public static String getUrl(int i, int i2, char c) {
            int i3 = get + 115;
            post = i3 % 128;
            int i4 = i3 % 2;
            char[] cArr = new char[i2];
            for (int i5 = 0; i5 < i2; i5++) {
                int i6 = post + 75;
                get = i6 % 128;
                int i7 = i6 % 2;
                cArr[i5] = (char) ((int) ((((long) AGRequest$Builder[i + i5]) ^ (((long) i5) * newBuilder)) ^ ((long) c)));
            }
            return new String(cArr);
        }
    }
}
